NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::SteelInsertSectionBuilder Class Reference

Represents a Steel Insert Section sub feature. More...

Inheritance diagram for NXOpen::Die::SteelInsertSectionBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ExtensionTypeOption { ExtensionTypeOptionConstant, ExtensionTypeOptionMaxdistPlusConst, ExtensionTypeOptionLaw }
 Settings for the extension type. More...
 

Public Member Functions

NXOpen::ExpressionBackSideReliefDistance ()
 Returns the back/side relief distance of the steel insert casting
Created in NX4.0.0. More...
 
NXOpen::ExpressionBeltThickness ()
 Returns the belt thickness
Created in NX4.0.0. More...
 
NXOpen::ExpressionExtensionDistance ()
 Returns the extension distance
Created in NX4.0.0. More...
 
NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption ExtensionType ()
 Returns the extension type
Created in NX4.0.0. More...
 
void GetBackAttributes (NXString *title, NXString *value, int *color)
 Gets the back faces attributes
Created in NX4.0.0. More...
 
void GetBaseAttributes (NXString *title, NXString *value, int *color)
 Gets the base faces attributes
Created in NX4.0.0. More...
 
void GetEndAttributes (NXString *title, NXString *value, int *color)
 Gets the end faces attributes
Created in NX4.0.0. More...
 
void GetFlangeWallAttributes (NXString *title, NXString *value, int *color)
 Gets the flange wall attributes
Created in NX4.0.0. More...
 
void GetFormingAttributes (NXString *title, NXString *value, int *color)
 Gets the forming faces attributes
Created in NX4.0.0. More...
 
void GetTrimWallAttributes (NXString *title, NXString *value, int *color)
 Gets the steelinsert trim wall faces attributes
Created in NX4.0.0. More...
 
double MassLimit ()
 Returns the mass limit of the steel insert casting
Created in NX4.0.0. More...
 
NXOpen::ExpressionOffsetProfileToTop ()
 Returns the offset of the profile to the top of the steel insert casting
Created in NX4.0.0. More...
 
NXOpen::ExpressionPlanarOffsetHeight ()
 Returns the planar contact height of the steel insert casting
Created in NX4.0.0. More...
 
NXOpen::ExpressionProductContactRelief ()
 Returns the product contact relief of the steel insert casting
Created in NX4.0.0. More...
 
NXOpen::ExpressionProductContactWidth ()
 Returns the product contact width of the steel insert casting
Created in NX4.0.0. More...
 
NXOpen::ExpressionProfileRelief ()
 Returns the profile relief
Created in NX4.0.0. More...
 
NXOpen::ExpressionReliefAngle ()
 Returns the relief angle
Created in NX4.0.0. More...
 
void SetBackAttributes (const NXString &title, const NXString &value, int color)
 Sets the back faces attributes
Created in NX4.0.0. More...
 
void SetBackAttributes (const char *title, const char *value, int color)
 Sets the back faces attributes
Created in NX4.0.0. More...
 
void SetBackSideReliefDistance (const NXString &backSideReliefDistance)
 
Created in NX4.0.0. More...
 
void SetBackSideReliefDistance (const char *backSideReliefDistance)
 
Created in NX4.0.0. More...
 
void SetBaseAttributes (const NXString &title, const NXString &value, int color)
 Sets the base faces attributes
Created in NX4.0.0. More...
 
void SetBaseAttributes (const char *title, const char *value, int color)
 Sets the base faces attributes
Created in NX4.0.0. More...
 
void SetBeltThickness (const NXString &beltThickness)
 
Created in NX4.0.0. More...
 
void SetBeltThickness (const char *beltThickness)
 
Created in NX4.0.0. More...
 
void SetEndAttributes (const NXString &title, const NXString &value, int color)
 Sets the end faces attributes
Created in NX4.0.0. More...
 
void SetEndAttributes (const char *title, const char *value, int color)
 Sets the end faces attributes
Created in NX4.0.0. More...
 
void SetExtensionDistance (const NXString &extensionDistance)
 
Created in NX4.0.0. More...
 
void SetExtensionDistance (const char *extensionDistance)
 
Created in NX4.0.0. More...
 
void SetExtensionType (NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption extensionType)
 Sets the extension type
Created in NX4.0.0. More...
 
void SetFlangeWallAttributes (const NXString &title, const NXString &value, int color)
 Sets the flange wall attributes
Created in NX4.0.0. More...
 
void SetFlangeWallAttributes (const char *title, const char *value, int color)
 Sets the flange wall attributes
Created in NX4.0.0. More...
 
void SetFormingAttributes (const NXString &title, const NXString &value, int color)
 Sets the forming faces attributes
Created in NX4.0.0. More...
 
void SetFormingAttributes (const char *title, const char *value, int color)
 Sets the forming faces attributes
Created in NX4.0.0. More...
 
void SetMassLimit (double massLimit)
 Sets the mass limit of the steel insert casting
Created in NX4.0.0. More...
 
void SetOffsetProfileToTop (const NXString &offsetProfileToTop)
 
Created in NX4.0.0. More...
 
void SetOffsetProfileToTop (const char *offsetProfileToTop)
 
Created in NX4.0.0. More...
 
void SetPlanarOffsetHeight (const NXString &planarOffsetHeight)
 
Created in NX4.0.0. More...
 
void SetPlanarOffsetHeight (const char *planarOffsetHeight)
 
Created in NX4.0.0. More...
 
void SetProductContactRelief (const NXString &productContactRelief)
 
Created in NX4.0.0. More...
 
void SetProductContactRelief (const char *productContactRelief)
 
Created in NX4.0.0. More...
 
void SetProductContactWidth (const NXString &productContactWidth)
 
Created in NX4.0.0. More...
 
void SetProductContactWidth (const char *productContactWidth)
 
Created in NX4.0.0. More...
 
void SetProfileRelief (const NXString &profileRelief)
 
Created in NX4.0.0. More...
 
void SetProfileRelief (const char *profileRelief)
 
Created in NX4.0.0. More...
 
void SetReliefAngle (const NXString &reliefAngle)
 
Created in NX4.0.0. More...
 
void SetReliefAngle (const char *reliefAngle)
 
Created in NX4.0.0. More...
 
void SetTrimWallAttributes (const NXString &title, const NXString &value, int color)
 Sets the steelinsert trim wall faces attributes
Created in NX4.0.0. More...
 
void SetTrimWallAttributes (const char *title, const char *value, int color)
 Sets the steelinsert trim wall faces attributes
Created in NX4.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Steel Insert Section sub feature.


This sub feature is created via the main feature builder.

Created in NX4.0.0.

Member Enumeration Documentation

Settings for the extension type.

Enumerator
ExtensionTypeOptionConstant 

constant

ExtensionTypeOptionMaxdistPlusConst 

maximum distance + constant

ExtensionTypeOptionLaw 

law

Member Function Documentation

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::BackSideReliefDistance ( )

Returns the back/side relief distance of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::BeltThickness ( )

Returns the belt thickness
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ExtensionDistance ( )

Returns the extension distance
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption NXOpen::Die::SteelInsertSectionBuilder::ExtensionType ( )

Returns the extension type
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

void NXOpen::Die::SteelInsertSectionBuilder::GetBackAttributes ( NXString title,
NXString value,
int *  color 
)

Gets the back faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of back faces
void NXOpen::Die::SteelInsertSectionBuilder::GetBaseAttributes ( NXString title,
NXString value,
int *  color 
)

Gets the base faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of base faces
void NXOpen::Die::SteelInsertSectionBuilder::GetEndAttributes ( NXString title,
NXString value,
int *  color 
)

Gets the end faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of end faces
void NXOpen::Die::SteelInsertSectionBuilder::GetFlangeWallAttributes ( NXString title,
NXString value,
int *  color 
)

Gets the flange wall attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of flange wall faces
void NXOpen::Die::SteelInsertSectionBuilder::GetFormingAttributes ( NXString title,
NXString value,
int *  color 
)

Gets the forming faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of forming faces
void NXOpen::Die::SteelInsertSectionBuilder::GetTrimWallAttributes ( NXString title,
NXString value,
int *  color 
)

Gets the steelinsert trim wall faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of trim wall faces
double NXOpen::Die::SteelInsertSectionBuilder::MassLimit ( )

Returns the mass limit of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::OffsetProfileToTop ( )

Returns the offset of the profile to the top of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::PlanarOffsetHeight ( )

Returns the planar contact height of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ProductContactRelief ( )

Returns the product contact relief of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ProductContactWidth ( )

Returns the product contact width of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ProfileRelief ( )

Returns the profile relief
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ReliefAngle ( )

Returns the relief angle
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

void NXOpen::Die::SteelInsertSectionBuilder::SetBackAttributes ( const NXString title,
const NXString value,
int  color 
)

Sets the back faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of back faces
void NXOpen::Die::SteelInsertSectionBuilder::SetBackAttributes ( const char *  title,
const char *  value,
int  color 
)

Sets the back faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of back faces
void NXOpen::Die::SteelInsertSectionBuilder::SetBackSideReliefDistance ( const NXString backSideReliefDistance)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
backSideReliefDistanceback side relief distance
void NXOpen::Die::SteelInsertSectionBuilder::SetBackSideReliefDistance ( const char *  backSideReliefDistance)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
backSideReliefDistanceback side relief distance
void NXOpen::Die::SteelInsertSectionBuilder::SetBaseAttributes ( const NXString title,
const NXString value,
int  color 
)

Sets the base faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of base faces
void NXOpen::Die::SteelInsertSectionBuilder::SetBaseAttributes ( const char *  title,
const char *  value,
int  color 
)

Sets the base faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of base faces
void NXOpen::Die::SteelInsertSectionBuilder::SetBeltThickness ( const NXString beltThickness)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
beltThicknessbelt thickness
void NXOpen::Die::SteelInsertSectionBuilder::SetBeltThickness ( const char *  beltThickness)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
beltThicknessbelt thickness
void NXOpen::Die::SteelInsertSectionBuilder::SetEndAttributes ( const NXString title,
const NXString value,
int  color 
)

Sets the end faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of end faces
void NXOpen::Die::SteelInsertSectionBuilder::SetEndAttributes ( const char *  title,
const char *  value,
int  color 
)

Sets the end faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of end faces
void NXOpen::Die::SteelInsertSectionBuilder::SetExtensionDistance ( const NXString extensionDistance)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
extensionDistanceextension distance
void NXOpen::Die::SteelInsertSectionBuilder::SetExtensionDistance ( const char *  extensionDistance)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
extensionDistanceextension distance
void NXOpen::Die::SteelInsertSectionBuilder::SetExtensionType ( NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption  extensionType)

Sets the extension type
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
extensionTypeextension type
void NXOpen::Die::SteelInsertSectionBuilder::SetFlangeWallAttributes ( const NXString title,
const NXString value,
int  color 
)

Sets the flange wall attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of flange wall faces
void NXOpen::Die::SteelInsertSectionBuilder::SetFlangeWallAttributes ( const char *  title,
const char *  value,
int  color 
)

Sets the flange wall attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of flange wall faces
void NXOpen::Die::SteelInsertSectionBuilder::SetFormingAttributes ( const NXString title,
const NXString value,
int  color 
)

Sets the forming faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of forming faces
void NXOpen::Die::SteelInsertSectionBuilder::SetFormingAttributes ( const char *  title,
const char *  value,
int  color 
)

Sets the forming faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of forming faces
void NXOpen::Die::SteelInsertSectionBuilder::SetMassLimit ( double  massLimit)

Sets the mass limit of the steel insert casting
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
massLimitmass limit
void NXOpen::Die::SteelInsertSectionBuilder::SetOffsetProfileToTop ( const NXString offsetProfileToTop)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
offsetProfileToTopoffset profile to top
void NXOpen::Die::SteelInsertSectionBuilder::SetOffsetProfileToTop ( const char *  offsetProfileToTop)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
offsetProfileToTopoffset profile to top
void NXOpen::Die::SteelInsertSectionBuilder::SetPlanarOffsetHeight ( const NXString planarOffsetHeight)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
planarOffsetHeightplanar offset height
void NXOpen::Die::SteelInsertSectionBuilder::SetPlanarOffsetHeight ( const char *  planarOffsetHeight)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
planarOffsetHeightplanar offset height
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactRelief ( const NXString productContactRelief)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
productContactReliefproduct contact relief
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactRelief ( const char *  productContactRelief)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
productContactReliefproduct contact relief
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactWidth ( const NXString productContactWidth)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
productContactWidthproduct contact width
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactWidth ( const char *  productContactWidth)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
productContactWidthproduct contact width
void NXOpen::Die::SteelInsertSectionBuilder::SetProfileRelief ( const NXString profileRelief)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
profileReliefprofile relief
void NXOpen::Die::SteelInsertSectionBuilder::SetProfileRelief ( const char *  profileRelief)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
profileReliefprofile relief
void NXOpen::Die::SteelInsertSectionBuilder::SetReliefAngle ( const NXString reliefAngle)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
reliefAnglerelief angle
void NXOpen::Die::SteelInsertSectionBuilder::SetReliefAngle ( const char *  reliefAngle)


Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
reliefAnglerelief angle
void NXOpen::Die::SteelInsertSectionBuilder::SetTrimWallAttributes ( const NXString title,
const NXString value,
int  color 
)

Sets the steelinsert trim wall faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of trim wall faces
void NXOpen::Die::SteelInsertSectionBuilder::SetTrimWallAttributes ( const char *  title,
const char *  value,
int  color 
)

Sets the steelinsert trim wall faces attributes
Created in NX4.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of trim wall faces

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.